#!/bin/bash

# Bash script to build and install latest version of indiserver with drivers and its dependencies on Ubuntu 16.04

# Get the dependencies
cat <(echo "yes") | sudo apt-get update
cat <(echo "yes") | sudo apt-get upgrade

cat <(echo "yes") | sudo apt-get install libnova-dev libcfitsio3-dev libusb-1.0-0-dev zlib1g-dev libgsl0-dev build-essential cmake git libjpeg-dev libcurl4-gnutls-dev

cat <(echo "yes") | sudo apt-get install libftdi-dev libgps-dev dcraw libgphoto2-dev libboost-dev libboost-regex-dev

# Get, build and install latest version of libINDI
git clone https://github.com/indilib/indi.git
cd indi

mkdir -p build/libindi
cd build/libindi
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../libindi
make
sudo make -j install

# Build and install 3rd party INDI drivers
cd ..
cd build
mkdir 3rdparty
cd 3rdparty
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../3rdparty
make
sudo make -j install
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../3rdparty
make
sudo make -j install
